petsc-3.4.2 2013-07-02

# DMPlexCreateSubmesh

Extract a hypersurface from the mesh using vertices defined by a label

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateSubmesh(DM dm, const char vertexLabel[], PetscInt value, DM *subdm)

### Input Parameters

| dm | - The original mesh
| vertexLabel | - The DMLabel marking vertices contained in the surface
| value | - The label value to use

### Output Parameter

subdm -The surface mesh

Note: This function produces a DMLabel mapping original points in the submesh to their depth. This can be obtained using DMPlexGetSubpointMap().

### See Also

DMPlexGetSubpointMap(), DMPlexGetLabel(), DMLabelSetValue()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages